Page MenuHomePhabricator

[SVE] Fix scalable vector bug in DataLayout::getIntPtrType
ClosedPublic

Authored by david-arm on Jun 22 2020, 6:24 AM.

Details

Summary

Fixed an issue in DataLayout::getIntPtrType where we were assuming
the input type was always a fixed vector type, which isn't true.

Added a test that exposed the problem to:

Transforms/InstCombine/vector_gep1.ll

Diff Detail

Event Timeline

david-arm created this revision.Jun 22 2020, 6:24 AM
Herald added a project: Restricted Project. · View Herald Transcript
efriedma added inline comments.Jun 22 2020, 1:59 PM
llvm/lib/IR/DataLayout.cpp
795

Can you just use VectorType::get(IntTy, VecTy)?

david-arm marked an inline comment as done.Jun 24 2020, 11:23 PM
This revision is now accepted and ready to land.Jun 25 2020, 9:47 AM
This revision was automatically updated to reflect the committed changes.